All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.sasserver
Class MetabaseSelectorDialog

    com.sas.sasserver.MetabaseSelectorDialog

All Implemented Interfaces:
  ContainerInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.lang.StringDataInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, ValidatorInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.awt.event.ActionListener, java.awt.event.ItemListener, java.awt.event.WindowListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class MetabaseSelectorDialog

implements java.awt.event.ItemListener

MetabaseSelectorDialog is a dialog that allows selection of metabse and database entries.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `database` Current database selection.
`protected ListBox` | `databaseListBox` ListBox used to display database entries.
`protected com.sas.collection.StringCollection` | `databaseNames`
`protected java.lang.String` | `metabase` Current metabase selection.
`protected java.lang.String` | `metabaseDescription` Deprecated. No longer used.
`protected com.sas.sasserver.metabaselist.MetabaseListInterface` | `metabaseList` MetabaseListInterface object used to retrieve metabase and database information.
`static java.lang.String` | `RB_KEY`
`protected java.lang.String` | `sasFile` Deprecated. No longer used.
`protected TreeView` | `tree` TreeView used to display metabase entries.

Fields inherited from class com.sas.sasserver.RemoteObjectSelectorDialog
`connection, owner, remoteObjects, rocf`

Fields inherited from class com.sas.visuals.OkCancelHelpDialog
`CANCEL, CLOSE, HELP`

Fields inherited from class com.sas.visuals.ButtonDialog
`buttonPanel, buttons, panel`

Fields inherited from class com.sas.awt.Dialog
`_cantUseSASModal, _inApplet, _modal, autoDispose, READY, setVisibleCalled, t`

Constructor Summary
`MetabaseSelectorDialog(java.awt.Frame parent, java.awt.Component owner, com.sas.rmi.Connection connection, boolean cloneConnection, com.sas.rmi.Rocf rocf, java.lang.String metabase, java.lang.String database)` Constructs a MetabaseSelectorDialog.
`MetabaseSelectorDialog(java.awt.Frame parent, java.awt.Component owner, com.sas.rmi.Connection connection, com.sas.rmi.Rocf rocf, java.lang.String metabase, java.lang.String database)` Constructs a MetabaseSelectorDialog.

Method Summary
`protected void` | `close()` Called when the dialog is being closed.
`protected void` | `createRemoteObjects()` Creates an instance of MetabaseListInterface.
`protected void` | `disposeRemoteObjects()` Clears existing remote objects.
`java.lang.String` | `getDatabase()` Returns the selected database.
`java.lang.String` | `getDataSet()` Deprecated. Use getDatabase
`java.lang.String` | `getMetabase()` Returns the selected metabase.
`java.lang.String` | `getMetabaseDescription()` Deprecated. No longer used.
`void` | `initialize()` Initializes the selector dialog.
`void` | `itemStateChanged(java.awt.event.ItemEvent event)` Handle ItemEvent processing.

Methods inherited from class com.sas.sasserver.RemoteObjectSelectorDialog
`dispose, registerRemoteBaseClient, setVisible, wasCancelled, wasExceptionThrown`

Methods inherited from class com.sas.visuals.OkCancelHelpDialog
`actionPerformed, cancel, help, isValidateBeforeClosing, setValidateBeforeClosing, windowClosing`

Methods inherited from class com.sas.visuals.ButtonDialog
`getButtonPanel, getMainPanel, windowActivated, windowClosed, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class com.sas.awt.Dialog
`center, centerOver, centerOverWindow, fireReadySignal, getAutoDispose, getDefaultHeight, getDefaultWidth, getExtendedBeanInfo, getText, hide, isSASModalEnabled, newDispatchThread, processWindowEvent, setAutoDispose, setDefaultHeight, setDefaultWidth, setModal, setResizable, setSASModalEnabled, setText, setTitle, setVisible, show, stopDispatchThread, waitForReadySignal, waitTilReady`

Methods inherited from class com.sas.awt.DialogContainerComponent
`addNotify, clone, dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getInsets, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setDefaultValues, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.DialogVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, computePreferredSize, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPreferredSize, getPrePainter, getRequiredInterfaces, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, paint, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### metabaseList

    protected com.sas.sasserver.metabaselist.MetabaseListInterface metabaseList

  MetabaseListInterface object used to retrieve metabase and database information.

### sasFile

    protected java.lang.String sasFile

  Deprecated. No longer used.

### tree

    protected TreeView tree

  TreeView used to display metabase entries.

### databaseListBox

    protected ListBox databaseListBox

  ListBox used to display database entries.

### databaseNames

    protected com.sas.collection.StringCollection databaseNames

### database

    protected java.lang.String database

  Current database selection.

### metabase

    protected java.lang.String metabase

  Current metabase selection.

### metabaseDescription

    protected java.lang.String metabaseDescription

  Deprecated. No longer used.

Constructor Detail

### MetabaseSelectorDialog

    public MetabaseSelectorDialog(java.awt.Frame parent,
                                  java.awt.Component owner,
                                  com.sas.rmi.Connection connection,
                                  com.sas.rmi.Rocf rocf,
                                  java.lang.String metabase,
                                  java.lang.String database)

  Constructs a MetabaseSelectorDialog.

  Parameters:
    `parent` - the parent frame
    `owner` - the owner of the dialog
    `connection` - the connection object
    `rocf` - Rocf object used to create remote objects
    `metabase` - metabase to select, may be null
    `database` - database to select, may be null

### MetabaseSelectorDialog

    public MetabaseSelectorDialog(java.awt.Frame parent,
                                  java.awt.Component owner,
                                  com.sas.rmi.Connection connection,
                                  boolean cloneConnection,
                                  com.sas.rmi.Rocf rocf,
                                  java.lang.String metabase,
                                  java.lang.String database)

  Constructs a MetabaseSelectorDialog.

  Parameters:
    `parent` - the parent frame
    `owner` - the owner of the dialog
    `connection` - the connection object
    `rocf` - Rocf object used to create remote objects
    `metabase` - metabase to select, may be null
    `database` - database to select, may be null

Method Detail

### close

    protected void close()

  Called when the dialog is being closed.

  Overrides:
    `close` in class `OkCancelHelpDialog`

### createRemoteObjects

    protected void createRemoteObjects()
                                throws java.lang.Exception

  Creates an instance of MetabaseListInterface.

  Overrides:
    `createRemoteObjects` in class `RemoteObjectSelectorDialog`
  Throws:
    `java.lang.Exception` - If an error occurs creating an instance of MetabaseListInterface.
  See Also:
    `RemoteObjectSelectorDialog.createRemoteObjects()`

### disposeRemoteObjects

    protected void disposeRemoteObjects()

  Clears existing remote objects.

  Overrides:
    `disposeRemoteObjects` in class `RemoteObjectSelectorDialog`
  See Also:
    `RemoteObjectSelectorDialog.disposeRemoteObjects()`

### initialize

    public void initialize()

  Initializes the selector dialog. This must be called.

  Specified by:
    `initialize` in interface `com.sas.ComponentInterface`
  Overrides:
    `initialize` in class `RemoteObjectSelectorDialog`
  See Also:
    `RemoteObjectSelectorDialog.initialize()`

### getDatabase

    public java.lang.String getDatabase()

  Returns the selected database.

  Returns:
    the selected database or null if none is selected

### getDataSet

    public java.lang.String getDataSet()

  Deprecated. Use getDatabase

### getMetabase

    public java.lang.String getMetabase()

  Returns the selected metabase.

  Returns:
    the selected metabase or null if none is selected

### getMetabaseDescription

    public java.lang.String getMetabaseDescription()

  Deprecated. No longer used.

### itemStateChanged

    public void itemStateChanged(java.awt.event.ItemEvent event)

  Handle ItemEvent processing.

  Specified by:
    `itemStateChanged` in interface `java.awt.event.ItemListener`
  See Also:
    `ItemListener.itemStateChanged(java.awt.event.ItemEvent)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.